/**
 * Copyright IBM Corporation 2016
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 **/

import Foundation

// programming error - nothing a client can do
// no need to send an HTTP response with the error details to the client
// just log it
// for example - uninitialized variable
enum InternalError: ErrorProtocol {
    case nilVariable(variable: String)
}

extension InternalError: CustomStringConvertible {
    var description: String {
        switch self {
        case .nilVariable(let variable):
            return "\(variable) is nil"
        }
    }
}
